API Reference

112 endpoints

Every endpoint accepts JSON and requires the X-API-Key header for authentication.

Base URL and header

Base URL
https://horizon.pm/api/v1/app
X-API-Key
Your project API key. Send it with every request.

Read the full API reference

Endpoints

112 of 112
MethodPathFeaturesCopy URL
GET/marketplace/limitsMarketplace
GET/marketplace/rulesMarketplace
GET/marketplaceMarketplace
GET/marketplace/listingsMarketplace
GET/marketplace/listings/{listingId}Marketplace
POST/marketplace/listingsMarketplace
POST/marketplace/listings/{listingId}/buyMarketplace
POST/marketplace/listings/{listingId}/cancelMarketplace
GET/marketplace/operations/{operationId}Marketplace
POST/marketplace/listings/{listingId}/retry-returnMarketplace
GET/chat/limitsChat
POST/chat/channels/openChat
POST/chat/channels/{channelId}/syncChat
POST/chat/channels/{channelId}/messagesChat
GET/chat/operations/{operationId}Chat
POST/chat/channels/{channelId}/messages/{messageId}/reportChat
GET/matchesMatches
GET/matches/limitsMatches
GET/matches/openMatches
GET/matches/{matchId}Matches
POST/matchesMatches
POST/matches/{matchId}/joinMatches
POST/matches/{matchId}/declineMatches
POST/matches/{matchId}/startMatches
POST/matches/{matchId}/turnMatches
POST/matches/{matchId}/timeoutMatches
POST/matches/{matchId}/leaveMatches
POST/matches/{matchId}/cancelMatches
POST/matches/{matchId}/resultMatches
POST/matches/{matchId}/ranked-runMatches
GET/shared-objects/collectionsShared objects
GET/shared-objects/{collection}/usageShared objects
GET/shared-objects/{collection}/objects/{objectId}Shared objects
POST/shared-objects/{collection}/queryShared objects
POST/shared-objects/{collection}/objectsShared objects
PUT/shared-objects/{collection}/objects/{objectId}Shared objects
DELETE/shared-objects/{collection}/objects/{objectId}Shared objects
GET/itemsItems
GET/items/catalogItems
POST/items/adjustItems
POST/items/equipItems
POST/items/discardItems
GET/groupsGroups
GET/groups/{groupId}Groups
GET/groups/{groupId}/membersGroups
GET/groups/{groupId}/pendingGroups
POST/groupsGroups
PUT/groups/{groupId}Groups
POST/groups/{groupId}/joinGroups
POST/groups/{groupId}/requestGroups
POST/groups/{groupId}/inviteGroups
POST/groups/{groupId}/accept-inviteGroups
POST/groups/{groupId}/decline-inviteGroups
POST/groups/{groupId}/cancel-inviteGroups
POST/groups/{groupId}/accept-requestGroups
POST/groups/{groupId}/decline-requestGroups
POST/groups/{groupId}/cancel-requestGroups
POST/groups/{groupId}/leaveGroups
POST/groups/{groupId}/removeGroups
POST/groups/{groupId}/roleGroups
POST/groups/{groupId}/transferGroups
POST/groups/{groupId}/deleteGroups
POST/user-management/signupAuthentication
POST/user-management/signinAuthentication
POST/user-management/check-authUsers
POST/user-management/change-nameUsers
GET/friendsFriends
GET/friends/findFriends
POST/friends/requestFriends
POST/friends/acceptFriends
POST/friends/declineFriends
POST/friends/cancelFriends
POST/friends/removeFriends
POST/friends/blockFriends
POST/friends/unblockFriends
GET/achievementsAchievements
POST/achievements/unlockAchievements
POST/achievements/rewards/deliverAchievements
GET/inboxPlayer inbox
POST/inbox/readPlayer inbox
POST/inbox/claimPlayer inbox
POST/inbox/removePlayer inbox
GET/statisticsPlayer statistics
GET/statistics/definitionsPlayer statistics
POST/statisticsPlayer statistics
GET/player-valuesPlayer values
GET/player-values/offersPlayer values
POST/player-values/purchasePlayer values
POST/player-values/adjustPlayer values
GET/player-profilePlayer Profile
PUT/player-profilePlayer Profile
POST/leaderboard/submitLeaderboard
GET/leaderboards/{boardKey}/topLeaderboard
GET/leaderboards/{boardKey}/rankLeaderboard
GET/leaderboards/{boardKey}/aroundLeaderboard
POST/validated-actions/runsValidated Actions
POST/validated-actions/submitValidated Actions
POST/cloud-save/saveCloud Save
POST/cloud-save/loadCloud Save
GET/remote-config/{configKey}Remote Config
GET/remote-config/allRemote Config
GET/localization/{key}Localization
GET/localization/allLocalization
GET/newsNews
POST/gift-codes/validateGift Codes
POST/gift-codes/redeemGift Codes
POST/email-sending/sendEmail Sending
GET/email-sending/{emailId}Email Sending
POST/crash-reports/sessionCrash Reporting
POST/crash-reports/createCrash Reporting
POST/user-feedback/submitUser Feedback
POST/user-logs/createUser Logs

Example request

REST (curl)
Bash
1curl -X POST https://horizon.pm/api/v1/app/user-management/signup \
2 -H "Content-Type: application/json" \
3 -H "X-API-Key: horizon_YOUR_API_KEY_HERE" \
4 -d '{"type":"ANONYMOUS","username":"TestPlayer","includeRefreshToken":true}'